Subject: Transparency of IAOC

From: SM <[email-masked]>
Date: Tue, 12 Apr 2016 05:01:04 -0700

Dear Members of the IESG,

Section 3 of RFC 4071 states that the "IASA structure is designed to 
ensure accountability and transparency of the IETF administrative and 
fiscal activities to the IETF community".  There are other 
occurrences of the word "transparency" in that RFC.

Transparency can be discussed from several perspectives.  If I am, 
for example, someone you dislike and/or you believe that my 
motivation is only to make your life difficult, you could ask me to 
prove that there is a transparency problem.  Another perspective is 
when you believe that the burden of proof is on your side, i.e. it is 
up to you to show that when you use the word "transparency", that is 
what you mean.

Regards,
-sm

---

From: SM <[email-masked]>
Date: Tue, 12 Apr 2016 13:00:20 -0700

Hi Dave,

I mentioned that I'll reply to the questions which you asked during 
our discussion.  The arguments for transparency is that one does not 
have to rely on gossip or have to assess the level of honesty of a 
person providing the information to understand the rationale for a 
decision.  One argument against transparency is that not all 
information can be made public.

The latest minutes of the IESG are at 
http://ietf.org/iesg/minutes/2016/narrative-minutes-2016-03-03.html 
I don't know whether there was community pressure for any IETF 
participant to be able to join an IESG Teleconference.  The option is 
there though.  Is the IESG more open than five years back?  Yes.

Is it appropriate to ask questions to the IAOC?  I don't see people 
who have been part of the "leadership" doing that.  Maybe, it will be 
viewed as politically incorrect and it is not good for a person's 
IETF career.  In other words, it is a matter of perception.

Regards,
-sm

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 13 Apr 2016 08:32:17 +1200

Hi SM,

> Is it appropriate to ask questions to the IAOC?  

Of course it is. But (compared to the IESG) the IAOC does deal with a
comparatively large fraction of issues that have confidential aspects -
budget negotiation, contract negotiations, staff issues, operation security,
and (with their Trustee hats on) legal issues. So there are going to be more
problems about community access to IAOC proceedings than for the IESG.

> I don't see people who have been part of the "leadership" doing that.  

Really not? Of course some of us who've actually been in the IAOC in
the past may not have quite so many questions, because we understand
the constraints.

> Maybe,
> it will be viewed as politically incorrect and it is not good for a person's IETF career.  In other words, it is a matter of
> perception.

I think someone who's been asking tricky questions of the IAOC would
be a very good candidate for Nomcom to consider for an IAOC seat.

    Brian

---

From: Ted Lemon <[email-masked]>
Date: Tue, 12 Apr 2016 16:33:36 -0400

On Tue, Apr 12, 2016 at 4:00 PM, SM <[email-masked]> wrote:

> Is it appropriate to ask questions to the IAOC?  I don't see people who
> have been part of the "leadership" doing that.  Maybe, it will be viewed as
> politically incorrect and it is not good for a person's IETF career.  In
> other words, it is a matter of perception.
>

I feel I can speak as an authority on this topic when I say that there is
zero chance that this is a problem.   If the IAOC do not always do what we
want, it is because (a) that is impossible, since there is no "we" that is
both in agreement and also representative of the wishes of all IETF
participants and (b) I know everybody on the IAOC and they just don't
behave as if they think complaining by IESG people is a problem.   Granted,
that's not necessarily always a good thing, but IESG people say plenty of
things to the IAOC about stuff like this, and I have never seen them act in
the slightest bit impatient about it.   Not only that, but we had a BoF in
BA about this topic.

Importantly, while the IESG is officially the host for IETFs, and therefore
obviously should have some say in this sort of thing, if we want more
transparency from the IAOC, it is we, the participants in the IETF, who are
responsible for asking for it, not the IESG, except to the extent that like
us, they are participants.

---

From: Ted Lemon <[email-masked]>
Date: Tue, 12 Apr 2016 16:35:09 -0400

On Tue, Apr 12, 2016 at 4:32 PM, Brian E Carpenter <
[email-masked]> wrote:

> > Maybe,
> > it will be viewed as politically incorrect and it is not good for a
> person's IETF career.  In other words, it is a matter of
> > perception.
>
> be a very good candidate for Nomcom to consider for an IAOC seat

So, to paraphrase, "yes."

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Tue, 12 Apr 2016 15:51:32 -0500

On this one ...

> the past may not have quite so many questions, because we understand

SM, if you're talking about people in "leadership" (is that what we are?)
asking questions of the IAOC on the IETF mailing list, you may very well be
right.

But I do drop notes to the IAOC directly, either to the IAD or to the
overall IAOC, and I don't know how anyone in the broader community would
know that I've done that.

I suspect others do, as well.

Spencer

---

From: Stephen Farrell <[email-masked]>
Date: Tue, 12 Apr 2016 22:34:24 +0100

Hi Brian,

On 12/04/16 21:32, Brian E Carpenter wrote:
> Of course it is. But (compared to the IESG) the IAOC does deal with
> a comparatively large fraction of issues that have confidential
> aspects - budget negotiation, contract negotiations, staff issues,
> operation security, and (with their Trustee hats on) legal issues. So
> there are going to be more problems about community access to IAOC
> proceedings than for the IESG.

What I'm wondering is if, given the above, anyone has done an
analysis of what the IAOC really needs to keep confidential and
what does not need to be confidential?

For example, recent events have fairly conclusively shown that
the "cities being considered" data which is related to "contract
negotiation" really ought not be confidential, at least in some
aggregated form. If you go back some years, the IETF meeting
hotel was also a not-so-well-kept secret until bookings opened,
and when we changed that the sky did not fall. So that's another
example. And if say the vmeet mailing list had been the place
where it was decided that IETF-95 remote attendees would have to
register, then we might have avoided that fuss. I can't see how
making that decision on that public list would have hurt anything
even though the fine meetecho support overall nvolves quite a few
of the issues related to confidentiality you list above.

I don't know if the IAOC has analysed such things more generally.
But I hope it does do that once it's sorted out what to do about
IETF-100. I suspect that to date, the IAOC has been treating too
much data as confidential when that's not really needed. I figure
ending up in that state is quite understandable, but is not in the
end a good plan.

And I don't believe we've actually heard the IAOC say that they
do think such a general exercise is or is not worthwhile. I do
think that some such statement now that the IAOC will consider a
switch to a default-open posture would be very very useful and
has not yet been made. (*)

Cheers,
S.

(*) Leslie's mail [1] only referred to reviewing meeting planning,
but not e.g. to any broader re-consideration which is what I'm
arguing would be better.

[1] https://www.ietf.org/mail-archive/web/ietf/current/msg97545.html

---

From: "Scott O. Bradner" <[email-masked]>
Date: Tue, 12 Apr 2016 17:46:19 -0400

such an exercise is worthwhile & has been underway for a few weeks 
you will see some results very soon

Scott

> On Apr 12, 2016, at 5:34 PM, Stephen Farrell <[email-masked]> wrote:
> 
> 
> Hi Brian,
>

---

From: Stephen Farrell <[email-masked]>
Date: Tue, 12 Apr 2016 22:48:46 +0100

> you will see some results very soon

Excellent!

Thanks,
S.

---

From: Randy Bush <[email-masked]>
Date: Wed, 13 Apr 2016 10:25:27 +0900

> a person's IETF career

why does this phrase make me very uncomfortable?

randy

---

From: SM <[email-masked]>
Date: Wed, 13 Apr 2016 01:30:21 -0700

Hi Brian, Ted, Spencer,
>comparatively large fraction of issues that have confidential aspects -

I'll skip this as there is a comment at 
http://www.ietf.org/mail-archive/web/ietf/current/msg97822.html

At 13:33 12-04-2016, Ted Lemon wrote:
>I feel I can speak as an authority on this topic 
>when I say that there is zero chance that this 
>is a problem. Â  If the IAOC do not always do 
>what we want, it is because (a) that is 
>impossible, since there is no "we" that is both 
>in agreement and also representative of the 
>wishes of all IETF participants and (b) I know 
>everybody on the IAOC and they just don't behave 
>as if they think complaining by IESG people is a problem.

Ok.

At 13:51 12-04-2016, Spencer Dawkins at IETF wrote:
>SM, if you're talking about people in 
>"leadership" (is that what we are?) asking 
>questions of the IAOC on the IETF mailing list, you may very well be right.

The term "leadership" was used in the message at 
https://www.ietf.org/mail-archive/web/ietf/current/msg77723.html

>But I do drop notes to the IAOC directly, either 
>to the IAD or to the overall IAOC, and I don't 
>know how anyone in the broader community would know that I've done that.

Ok.

Regards,
-sm